# Generated by Django 5.1.2 on 2024-10-24 01:56

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Player',
            fields=[
                ('steam_id', models.BigIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=63)),
            ],
        ),
        migrations.CreateModel(
            name='PlayerInfo_Team',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('team_role', models.CharField(choices=[('PL', 'Player'), ('CM', 'Coach/Mentor'), ('TC', 'Team Captain')], default='PL', max_length=2)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('team_name', models.CharField(max_length=63)),
            ],
        ),
        migrations.CreateModel(
            name='PlayerInfo',
            fields=[
                ('player', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='api.player')),
            ],
        ),
        migrations.CreateModel(
            name='PlayerRole',
            fields=[
                ('playerinfo_team', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='api.playerinfo_team')),
                ('player_role', models.CharField(choices=[('P_SCOUT', 'Pocket Scout'), ('F_SCOUT', 'Flank Scout'), ('SCOUT', 'Scout'), ('P_SOLLY', 'Pocket Soldier'), ('ROAMER', 'Roamer'), ('SOLDIER', 'Soldier'), ('PYRO', 'Pyro'), ('DEMO', 'Demoman'), ('HEAVY', 'Heavy'), ('ENGIE', 'Engineer'), ('MEDIC', 'Medic'), ('SNIPER', 'Sniper'), ('SPY', 'Spy')], max_length=7)),
                ('main', models.BooleanField(default=True)),
            ],
        ),
        migrations.AddField(
            model_name='playerinfo_team',
            name='team',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='api.team'),
        ),
        migrations.AddField(
            model_name='playerinfo_team',
            name='player_info',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.playerinfo'),
        ),
        migrations.AddField(
            model_name='playerinfo',
            name='team',
            field=models.ManyToManyField(through='api.PlayerInfo_Team', to='api.team'),
        ),
        migrations.AlterUniqueTogether(
            name='playerinfo_team',
            unique_together={('player_info', 'team')},
        ),
    ]
